Package io.dapr.v1

# Class DaprAppCallbackProtos.TopicEventRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>
io.dapr.v1.DaprAppCallbackProtos.TopicEventRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicEventRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprAppCallbackProtos.TopicEventRequest

public static final class DaprAppCallbackProtos.TopicEventRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder> implements DaprAppCallbackProtos.TopicEventRequestOrBuilder

     TopicEventRequest message is compatible with CloudEvent spec v1.0
     https://github.com/cloudevents/spec/blob/v1.0/spec.md

Protobuf type `dapr.proto.runtime.v1.TopicEventRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventRequest`
`build()`
`DaprAppCallbackProtos.TopicEventRequest`
`buildPartial()`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clear()`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearData()`
The content of the event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearDataContentType()`
The content type of data value.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearExtensions()`
The map of additional custom properties to be sent to the app.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearId()`
id identifies the event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearPath()`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearPubsubName()`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearSource()`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearSpecVersion()`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearTopic()`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clearType()`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`clone()`
`com.google.protobuf.ByteString`
`getData()`
The content of the event.
`String`
`getDataContentType()`
The content type of data value.
`com.google.protobuf.ByteString`
`getDataContentTypeBytes()`
The content type of data value.
`DaprAppCallbackProtos.TopicEventRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`com.google.protobuf.Struct`
`getExtensions()`
The map of additional custom properties to be sent to the app.
`com.google.protobuf.Struct.Builder`
`getExtensionsBuilder()`
The map of additional custom properties to be sent to the app.
`com.google.protobuf.StructOrBuilder`
`getExtensionsOrBuilder()`
The map of additional custom properties to be sent to the app.
`String`
`getId()`
id identifies the event.
`com.google.protobuf.ByteString`
`getIdBytes()`
id identifies the event.
`String`
`getPath()`
The matching path from TopicSubscription/routes (if specified) for this event.
`com.google.protobuf.ByteString`
`getPathBytes()`
The matching path from TopicSubscription/routes (if specified) for this event.
`String`
`getPubsubName()`
The name of the pubsub the publisher sent to.
`com.google.protobuf.ByteString`
`getPubsubNameBytes()`
The name of the pubsub the publisher sent to.
`String`
`getSource()`
source identifies the context in which an event happened.
`com.google.protobuf.ByteString`
`getSourceBytes()`
source identifies the context in which an event happened.
`String`
`getSpecVersion()`
The version of the CloudEvents specification.
`com.google.protobuf.ByteString`
`getSpecVersionBytes()`
The version of the CloudEvents specification.
`String`
`getTopic()`
The pubsub topic which publisher sent to.
`com.google.protobuf.ByteString`
`getTopicBytes()`
The pubsub topic which publisher sent to.
`String`
`getType()`
The type of event related to the originating occurrence.
`com.google.protobuf.ByteString`
`getTypeBytes()`
The type of event related to the originating occurrence.
`boolean`
`hasExtensions()`
The map of additional custom properties to be sent to the app.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`mergeExtensions(com.google.protobuf.Struct value)`
The map of additional custom properties to be sent to the app.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`mergeFrom(DaprAppCallbackProtos.TopicEventRequest other)`
`final DaprAppCallbackProtos.TopicEventRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setData(com.google.protobuf.ByteString value)`
The content of the event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setDataContentType(String value)`
The content type of data value.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setDataContentTypeBytes(com.google.protobuf.ByteString value)`
The content type of data value.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setExtensions(com.google.protobuf.Struct value)`
The map of additional custom properties to be sent to the app.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setExtensions(com.google.protobuf.Struct.Builder builderForValue)`
The map of additional custom properties to be sent to the app.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setId(String value)`
id identifies the event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setIdBytes(com.google.protobuf.ByteString value)`
id identifies the event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setPath(String value)`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setPathBytes(com.google.protobuf.ByteString value)`
The matching path from TopicSubscription/routes (if specified) for this event.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setPubsubName(String value)`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setPubsubNameBytes(com.google.protobuf.ByteString value)`
The name of the pubsub the publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setSource(String value)`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setSourceBytes(com.google.protobuf.ByteString value)`
source identifies the context in which an event happened.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setSpecVersion(String value)`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setSpecVersionBytes(com.google.protobuf.ByteString value)`
The version of the CloudEvents specification.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setTopic(String value)`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setTopicBytes(com.google.protobuf.ByteString value)`
The pubsub topic which publisher sent to.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setType(String value)`
The type of event related to the originating occurrence.
`DaprAppCallbackProtos.TopicEventRequest.Builder`
`setTypeBytes(com.google.protobuf.ByteString value)`
The type of event related to the originating occurrence.
`final DaprAppCallbackProtos.TopicEventRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### clear

public DaprAppCallbackProtos.TopicEventRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### getDefaultInstanceForType

public DaprAppCallbackProtos.TopicEventRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprAppCallbackProtos.TopicEventRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprAppCallbackProtos.TopicEventRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprAppCallbackProtos.TopicEventRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### setField

public DaprAppCallbackProtos.TopicEventRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### clearField

public DaprAppCallbackProtos.TopicEventRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### clearOneof

public DaprAppCallbackProtos.TopicEventRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### setRepeatedField

public DaprAppCallbackProtos.TopicEventRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### addRepeatedField

public DaprAppCallbackProtos.TopicEventRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventRequest.Builder mergeFrom(DaprAppCallbackProtos.TopicEventRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### mergeFrom

public DaprAppCallbackProtos.TopicEventRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`
Throws:
  `IOException`

### getId

public String getId()

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Specified by:
  `getId` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The id.

### getIdBytes

public com.google.protobuf.ByteString getIdBytes()

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for id.

### setId

public DaprAppCallbackProtos.TopicEventRequest.Builder setId(String value)

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

### clearId

public DaprAppCallbackProtos.TopicEventRequest.Builder clearId()

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Returns:
  This builder for chaining.

### setIdBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setIdBytes(com.google.protobuf.ByteString value)

     id identifies the event. Producers MUST ensure that source + id
     is unique for each distinct event. If a duplicate event is re-sent
     (e.g. due to a network error) it MAY have the same id.

`string id = 1;`

Parameters:
  `value` - The bytes for id to set.
Returns:
  This builder for chaining.

### getSource

public String getSource()

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Specified by:
  `getSource` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The source.

### getSourceBytes

public com.google.protobuf.ByteString getSourceBytes()

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Specified by:
  `getSourceBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for source.

### setSource

public DaprAppCallbackProtos.TopicEventRequest.Builder setSource(String value)

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Parameters:
  `value` - The source to set.
Returns:
  This builder for chaining.

### clearSource

public DaprAppCallbackProtos.TopicEventRequest.Builder clearSource()

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Returns:
  This builder for chaining.

### setSourceBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setSourceBytes(com.google.protobuf.ByteString value)

     source identifies the context in which an event happened.
     Often this will include information such as the type of the
     event source, the organization publishing the event or the process
     that produced the event. The exact syntax and semantics behind
     the data encoded in the URI is defined by the event producer.

`string source = 2;`

Parameters:
  `value` - The bytes for source to set.
Returns:
  This builder for chaining.

### getType

public String getType()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getType` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The type.

### getTypeBytes

public com.google.protobuf.ByteString getTypeBytes()

     The type of event related to the originating occurrence.

`string type = 3;`

Specified by:
  `getTypeBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for type.

### setType

public DaprAppCallbackProtos.TopicEventRequest.Builder setType(String value)

     The type of event related to the originating occurrence.

`string type = 3;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DaprAppCallbackProtos.TopicEventRequest.Builder clearType()

     The type of event related to the originating occurrence.

`string type = 3;`

Returns:
  This builder for chaining.

### setTypeBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setTypeBytes(com.google.protobuf.ByteString value)

     The type of event related to the originating occurrence.

`string type = 3;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

### getSpecVersion

public String getSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersion` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The specVersion.

### getSpecVersionBytes

public com.google.protobuf.ByteString getSpecVersionBytes()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Specified by:
  `getSpecVersionBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for specVersion.

### setSpecVersion

public DaprAppCallbackProtos.TopicEventRequest.Builder setSpecVersion(String value)

     The version of the CloudEvents specification.

`string spec_version = 4;`

Parameters:
  `value` - The specVersion to set.
Returns:
  This builder for chaining.

### clearSpecVersion

public DaprAppCallbackProtos.TopicEventRequest.Builder clearSpecVersion()

     The version of the CloudEvents specification.

`string spec_version = 4;`

Returns:
  This builder for chaining.

### setSpecVersionBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setSpecVersionBytes(com.google.protobuf.ByteString value)

     The version of the CloudEvents specification.

`string spec_version = 4;`

Parameters:
  `value` - The bytes for specVersion to set.
Returns:
  This builder for chaining.

### getDataContentType

public String getDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentType` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The dataContentType.

### getDataContentTypeBytes

public com.google.protobuf.ByteString getDataContentTypeBytes()

     The content type of data value.

`string data_content_type = 5;`

Specified by:
  `getDataContentTypeBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for dataContentType.

### setDataContentType

public DaprAppCallbackProtos.TopicEventRequest.Builder setDataContentType(String value)

     The content type of data value.

`string data_content_type = 5;`

Parameters:
  `value` - The dataContentType to set.
Returns:
  This builder for chaining.

### clearDataContentType

public DaprAppCallbackProtos.TopicEventRequest.Builder clearDataContentType()

     The content type of data value.

`string data_content_type = 5;`

Returns:
  This builder for chaining.

### setDataContentTypeBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setDataContentTypeBytes(com.google.protobuf.ByteString value)

     The content type of data value.

`string data_content_type = 5;`

Parameters:
  `value` - The bytes for dataContentType to set.
Returns:
  This builder for chaining.

### getData

public com.google.protobuf.ByteString getData()

     The content of the event.

`bytes data = 7;`

Specified by:
  `getData` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The data.

### setData

public DaprAppCallbackProtos.TopicEventRequest.Builder setData(com.google.protobuf.ByteString value)

     The content of the event.

`bytes data = 7;`

Parameters:
  `value` - The data to set.
Returns:
  This builder for chaining.

### clearData

public DaprAppCallbackProtos.TopicEventRequest.Builder clearData()

     The content of the event.

`bytes data = 7;`

Returns:
  This builder for chaining.

### getTopic

public String getTopic()

     The pubsub topic which publisher sent to.

`string topic = 6;`

Specified by:
  `getTopic` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The topic.

### getTopicBytes

public com.google.protobuf.ByteString getTopicBytes()

     The pubsub topic which publisher sent to.

`string topic = 6;`

Specified by:
  `getTopicBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for topic.

### setTopic

public DaprAppCallbackProtos.TopicEventRequest.Builder setTopic(String value)

     The pubsub topic which publisher sent to.

`string topic = 6;`

Parameters:
  `value` - The topic to set.
Returns:
  This builder for chaining.

### clearTopic

public DaprAppCallbackProtos.TopicEventRequest.Builder clearTopic()

     The pubsub topic which publisher sent to.

`string topic = 6;`

Returns:
  This builder for chaining.

### setTopicBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setTopicBytes(com.google.protobuf.ByteString value)

     The pubsub topic which publisher sent to.

`string topic = 6;`

Parameters:
  `value` - The bytes for topic to set.
Returns:
  This builder for chaining.

### getPubsubName

public String getPubsubName()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Specified by:
  `getPubsubName` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The pubsubName.

### getPubsubNameBytes

public com.google.protobuf.ByteString getPubsubNameBytes()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Specified by:
  `getPubsubNameBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for pubsubName.

### setPubsubName

public DaprAppCallbackProtos.TopicEventRequest.Builder setPubsubName(String value)

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Parameters:
  `value` - The pubsubName to set.
Returns:
  This builder for chaining.

### clearPubsubName

public DaprAppCallbackProtos.TopicEventRequest.Builder clearPubsubName()

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Returns:
  This builder for chaining.

### setPubsubNameBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setPubsubNameBytes(com.google.protobuf.ByteString value)

     The name of the pubsub the publisher sent to.

`string pubsub_name = 8;`

Parameters:
  `value` - The bytes for pubsubName to set.
Returns:
  This builder for chaining.

### getPath

public String getPath()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Specified by:
  `getPath` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The path.

### getPathBytes

public com.google.protobuf.ByteString getPathBytes()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Specified by:
  `getPathBytes` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The bytes for path.

### setPath

public DaprAppCallbackProtos.TopicEventRequest.Builder setPath(String value)

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

### clearPath

public DaprAppCallbackProtos.TopicEventRequest.Builder clearPath()

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Returns:
  This builder for chaining.

### setPathBytes

public DaprAppCallbackProtos.TopicEventRequest.Builder setPathBytes(com.google.protobuf.ByteString value)

     The matching path from TopicSubscription/routes (if specified) for this event.
     This value is used by OnTopicEvent to "switch" inside the handler.

`string path = 9;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

### hasExtensions

public boolean hasExtensions()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

Specified by:
  `hasExtensions` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  Whether the extensions field is set.

### getExtensions

public com.google.protobuf.Struct getExtensions()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

Specified by:
  `getExtensions` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`
Returns:
  The extensions.

### setExtensions

public DaprAppCallbackProtos.TopicEventRequest.Builder setExtensions(com.google.protobuf.Struct value)

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

### setExtensions

public DaprAppCallbackProtos.TopicEventRequest.Builder setExtensions(com.google.protobuf.Struct.Builder builderForValue)

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

### mergeExtensions

public DaprAppCallbackProtos.TopicEventRequest.Builder mergeExtensions(com.google.protobuf.Struct value)

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

### clearExtensions

public DaprAppCallbackProtos.TopicEventRequest.Builder clearExtensions()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

### getExtensionsBuilder

public com.google.protobuf.Struct.Builder getExtensionsBuilder()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

### getExtensionsOrBuilder

public com.google.protobuf.StructOrBuilder getExtensionsOrBuilder()

     The map of additional custom properties to be sent to the app. These are considered to be cloud event extensions.

`.google.protobuf.Struct extensions = 10;`

Specified by:
  `getExtensionsOrBuilder` in interface `DaprAppCallbackProtos.TopicEventRequestOrBuilder`

### setUnknownFields

public final DaprAppCallbackProtos.TopicEventRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`

### mergeUnknownFields

public final DaprAppCallbackProtos.TopicEventRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.TopicEventRequest.Builder>`